Skip to main content
GET
/
wallets
Retrieve wallets
curl --request GET \
  --url https://api.nuwebgroup.com/v1/wallets \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "wallets",
      "id": 1,
      "attributes": {
        "id": 1,
        "companyId": 1,
        "customerId": 9,
        "currencyId": 32,
        "currencyName": "Pounds",
        "currencyCode": "GBP",
        "currencySymbol": "Β£",
        "availableBalance": 1500,
        "refundableBalanceOnline": 1000,
        "refundableBalanceOffline": 1500
      }
    }
  ],
  "meta": {
    "total": 50
  },
  "links": {
    "first": "http://api.example.com/v1/wallets?page=1",
    "last": "http://api.example.com/v1/wallets?page=5",
    "prev": "http://api.example.com/v1/wallets?page=2",
    "next": "http://api.example.com/v1/wallets?page=5",
    "self": "http://api.example.com/v1/wallets?page=3"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Query Parameters

currencyId
integer

Filter by currency ID.

customerId
integer

Filter by customer ID.

hasPendingBalance
boolean

Filter by wallets that have pending transactions (unconfirmed balance).

hasPendingPayout
boolean

Filter by wallets that have pending payout transactions.

hasPositiveBalance
boolean

Filter by wallets with a balance greater than zero.

include
string

Comma-separated list of relationships to include. Supported: customers

Response

Successful request to fetch wallets.

data
object[]
included
object[]

An array of included relationship resources.

meta
object